body {
	font-family: "Open Sans", sans-serif;
}

*{
	/*CSS Reset
		We reset the margns and paddings of our elements to better manipulate the sizes and layout of our elemnts.

		Because our browsers actually add default margins and paddings for our elemnts.


		*/
	margin: 0;
	padding: 0;
	box-sizing: border-box;

}

nav {

	padding: 0.8rem; /* *80% of our root elemnt's font size. 12.8px */
	margin-bottom: 2rem;
	border-bottom: 1px solid gray;
	list-style: none;
}
/* , - multiple selectors -  we can have target using multiple selectors */
nav .nav, nav .nav-logo {

	margin: 0.5rem;
	/*display property you can change how elements are displayed as inline, block or even inline-block.*/
	display: inline;

}

nav > ul {
	list-style: none;
}

/*intro section*/
#intro {
	padding-left: 10%;
	padding-right: 10%;
	padding-top: 2rem;
	padding-bottom: 3rem;
	text-align: center;
}


.header {
	text-align: center;
}

#intro h2, #intro p {
	margin-bottom: 1rem;
}

#intro button {
	color: white;
	/*forn-weight allows us to determine the thickness of the text*/
	font-weight: bold;
	background-color: #c2195b;
	border-radius: 25px;
	font-size: 1rem;
	padding: 1rem;
}

/*info section*/	
#succeed-info {
	padding-left: 10%;
	padding-right: 10%;
	padding-top: 2rem;
	padding-bottom: 3rem;
}

#succeed-info h2{
	margin-bottom: 1rem;
}

#succeed-info .card {
	display: inline-block;
	vertical-align: top;
	/*set a minimum height for our elements especially if the content does not reach the appropriate height. What this will do then is it will level our cards*/
	min-height: 175px;
	/*Each card is at least 30% of its parents width. 3 cards would amount to supposedly 33.33% of its parent's width to be even, however, we have to take account forr the margins set*/
	width: 30%;
	margin-left: 0.5rem;
	margin-right: 0.5rem;
}

#succeed-info h3 {
	text-align: center;
	margin-bottom: 1rem;
}

/*pre-footer section*/

/*
	Mini-Activity
	Style the pre-footer section first selecting the section using its id.
		add a padding on all side at 1 rem
		-add a backgrund color with the following hex decimal #002540
		-add a white color for the text in the pre footer section

	select all the div that is a child of pre-footer
		-put the divs beside each other but with the ability to be set with width or height.
		-add width at 20% of its parent width

*/
#pre-footer {
	padding: 1rem;
	background-color: #002540;
	color: white;
}

#pre-footer > div {
	display: inline-block;
	width: 20%;
	vertical-align: top;
}

#pre-footer > div > * {
	margin-top: 0.3rem;
	margin-bottom: 0.3rem;

}

/*
	

*/
footer{
	padding: 0.7rem;

}
footer > span {

	margin-left: 0.5rem;
	margin-right: 0.5rem;
}
